Open Lighting Architecture: ola::plugin::usbdmx::DMXCProjectsNodleU1 Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
ola::plugin::usbdmx::DMXCProjectsNodleU1 Class Referenceabstract

## Detailed Description

The interface for the Nodle Widgets.

Inheritance diagram for ola::plugin::usbdmx::DMXCProjectsNodleU1:

## Public Member Functions
| DMXCProjectsNodleU1 (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device, PluginAdaptor *plugin_adaptor, const std::string &serial, unsigned int mode)
std::string | SerialNumber () const
| Get the serial number of this widget.
unsigned int | Mode () const
| Get the current mode of this widget.
virtual void | SetDmxCallback (Callback0< void > *callback)=0
virtual const DmxBuffer & | GetDmxInBuffer ()=0
Public Member Functions inherited from ola::plugin::usbdmx::SimpleWidget
| SimpleWidget (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device)
| Create a new SimpleWidget.
ola::usb::USBDeviceID | GetDeviceId () const
| The device ID of this widget.
Public Member Functions inherited from ola::plugin::usbdmx::WidgetInterface
virtual bool | Init ()=0
| Initialize the widget.
virtual bool | SendDMX (const DmxBuffer &buffer)=0
| Send DMX data from this widget.

## Static Public Attributes
static int | NODLE_DEFAULT_MODE = 6
static int | NODLE_MIN_MODE = 0
static int | NODLE_MAX_MODE = 7
static int | OUTPUT_ENABLE_MASK = 2
static int | INPUT_ENABLE_MASK = 4

## Protected Attributes
unsigned int | m_mode
PluginAdaptor * | m_plugin_adaptor
Protected Attributes inherited from ola::plugin::usbdmx::SimpleWidget
ola::usb::LibUsbAdaptor *const | m_adaptor
libusb_device *const | m_usb_device

## Member Function Documentation

## ◆ Mode()

unsigned int ola::plugin::usbdmx::DMXCProjectsNodleU1::Mode | ( |  | ) | const
| inline

Get the current mode of this widget.

Returns
  The mode of the widget.

## ◆ SerialNumber()

std::string ola::plugin::usbdmx::DMXCProjectsNodleU1::SerialNumber | ( |  | ) | const
| inline

Get the serial number of this widget.

Returns
  The serial number of the widget.

The documentation for this class was generated from the following files:

- plugins/usbdmx/DMXCProjectsNodleU1.h
- plugins/usbdmx/DMXCProjectsNodleU1.cpp